Solid Edge Assembly Type Library
PutTransform Method
Specifies the x coordinate of the Occurrence's origin point.
Specifies the y coordinate of the Occurrence's origin point.
Specifies the z coordinate of the Occurrence's origin point.
Specifies the rotation in radians about the x-axis.
Specifies the rotation in radians about the y-axis.
Specifies the rotation in radians about the z-axis.
Description
Sets the current location and orientation of the referenced object.
Syntax
Visual Basic
Public Sub PutTransform( _
   ByVal OriginX As Double, _
   ByVal OriginY As Double, _
   ByVal OriginZ As Double, _
   ByVal AngleX As Double, _
   ByVal AngleY As Double, _
   ByVal AngleZ As Double _
) 
Parameters
OriginX
Specifies the x coordinate of the Occurrence's origin point.
OriginY
Specifies the y coordinate of the Occurrence's origin point.
OriginZ
Specifies the z coordinate of the Occurrence's origin point.
AngleX
Specifies the rotation in radians about the x-axis.
AngleY
Specifies the rotation in radians about the y-axis.
AngleZ
Specifies the rotation in radians about the z-axis.
Example
Private Sub Form_Load()
    Dim objApp As SolidEdgeFramework.Application
    Dim objDoc As SolidEdgeAssembly.AssemblyDocument
    Dim objPart As SolidEdgeAssembly.Occurrence
    Dim dblOriginX As Double
    Dim dblOriginY As Double
    Dim dblOriginZ As Double
    Dim dblAngleX As Double
    Dim dblAngleY As Double
    Dim dblAngleZ As Double
    Const TESTFILE = "T:\vbtests\testcases\cube.par"
    ' Report errors
    Const PI = 3.14159265358979
    ' Create/get the application with specific settings
    On Error Resume Next
    Set objApp = GetObject(, "SolidEdge.Application")
    If Err Then
        Err.Clear
        Set objApp = CreateObject("SolidEdge.Application")
        Set objDoc = objApp.Documents.Add("SolidEdge.AssemblyDocument")
        objApp.Visible = True
    Else
        Set objDoc = objApp.ActiveDocument
    End If
    ' adding a part document to an assembly document
    Set objPart = objDoc.Occurrences.AddByFilename(OccurrenceFileName:=TESTFILE)
    ' changing the location and orientation of the placed part
    dblOriginX = 0.05
    dblOriginY = 0.025
    dblOriginZ = 0.075
    dblAngleX = PI / 3
    dblAngleY = PI / 4
    dblAngleZ = PI / 5
    Call objPart.PutTransform(OriginX:=dblOriginX, OriginY:=dblOriginY, OriginZ:=dblOriginZ, _
                              anglex:=dblAngleX, angley:=dblAngleY, anglez:=dblAngleZ)
    ' USER DISPLAY
    ' Release objects
    Set objApp = Nothing
    Set objDoc = Nothing
    Set objPart = Nothing
End Sub
See Also

Occurrence Object  | Occurrence Members